Skip to main content
GET
/
messages
/
pathway
/
{pathwayId}
cURL
curl --request GET \
  --url https://scan-testnet.layerzero-api.com/v1/messages/pathway/{pathwayId}
import requests

url = "https://scan-testnet.layerzero-api.com/v1/messages/pathway/{pathwayId}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://scan-testnet.layerzero-api.com/v1/messages/pathway/{pathwayId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "pathway": {
        "srcEid": 123,
        "dstEid": 123,
        "sender": {
          "address": "<string>",
          "id": "<string>",
          "name": "<string>",
          "chain": "<string>"
        },
        "receiver": {
          "address": "<string>",
          "id": "<string>",
          "name": "<string>",
          "chain": "<string>"
        },
        "id": "<string>",
        "nonce": 123
      },
      "source": {
        "status": "WAITING",
        "tx": {
          "txHash": "<string>",
          "blockHash": "<string>",
          "blockNumber": "<string>",
          "blockTimestamp": 123,
          "from": "<string>",
          "blockConfirmations": 123,
          "payload": "<string>",
          "value": "<string>",
          "readinessTimestamp": 123,
          "resolvedPayload": "<string>",
          "adapterParams": {
            "version": "<string>",
            "dstGasLimit": "<string>",
            "dstNativeGasTransferAmount": "<string>",
            "dstNativeGasTransferAddress": "<string>"
          },
          "options": {
            "lzReceive": {
              "gas": "<string>",
              "value": "<string>"
            },
            "nativeDrop": [
              {
                "amount": "<string>",
                "receiver": "<string>"
              }
            ],
            "compose": [
              {
                "index": 123,
                "gas": "<string>",
                "value": "<string>"
              }
            ],
            "ordered": true
          }
        },
        "failedTx": [
          "<string>"
        ]
      },
      "destination": {
        "status": "WAITING",
        "tx": {
          "txHash": "<string>",
          "blockHash": "<string>",
          "blockNumber": 123,
          "blockTimestamp": 123
        },
        "payloadStoredTx": "<string>",
        "failedTx": [
          "<string>"
        ]
      },
      "verification": {
        "dvn": {
          "dvns": {},
          "status": "WAITING"
        },
        "sealer": {
          "tx": {
            "txHash": "<string>",
            "blockHash": "<string>",
            "blockNumber": 123,
            "blockTimestamp": 123
          },
          "failedTx": [
            {
              "txHash": "<string>",
              "txError": "<string>"
            }
          ],
          "status": "WAITING"
        }
      },
      "guid": "<string>",
      "config": {
        "error": true,
        "errorMessage": "<string>",
        "dvnConfigError": true,
        "receiveLibrary": "<string>",
        "sendLibrary": "<string>",
        "inboundConfig": {
          "confirmations": 123,
          "requiredDVNCount": 123,
          "optionalDVNCount": 123,
          "optionalDVNThreshold": 123,
          "requiredDVNs": [
            "<string>"
          ],
          "requiredDVNNames": [
            "<string>"
          ],
          "optionalDVNs": [
            "<string>"
          ],
          "optionalDVNNames": [
            "<string>"
          ],
          "executor": "<string>"
        },
        "outboundConfig": {
          "confirmations": 123,
          "requiredDVNCount": 123,
          "optionalDVNCount": 123,
          "optionalDVNThreshold": 123,
          "requiredDVNs": [
            "<string>"
          ],
          "requiredDVNNames": [
            "<string>"
          ],
          "optionalDVNs": [
            "<string>"
          ],
          "optionalDVNNames": [
            "<string>"
          ],
          "executor": "<string>"
        }
      },
      "status": {
        "message": "<string>"
      },
      "created": "2025-05-27T19:20:54.362Z",
      "updated": "2025-05-27T19:20:54.362Z"
    }
  ],
  "nextToken": "<string>"
}

Path Parameters

pathwayId
string
required
Pattern: ^\d+-\d+-(?:[0-9A-Fa-f]+|[A-Z2-7]+|[1-9A-HJ-NP-Za-km-z]+|[A-Za-z0-9+/=]+)(?:-(?:[0-9A-Fa-f]+|[A-Z2-7]+|[1-9A-HJ-NP-Za-km-z]+|[A-Za-z0-9+/=]+))?$
Example:

"30111-30101-0xf1fcb4cbd57b67d683972a59b6a7b1e2e8bf27e6-0x6d6620efa72948c5f68a3c8646d58c00d3f4a980"

Query Parameters

limit
default:100
nonce
status
enum<string>
Available options:
INFLIGHT,
CONFIRMING,
FAILED,
DELIVERED,
BLOCKED,
PAYLOAD_STORED,
APPLICATION_BURNED,
APPLICATION_SKIPPED,
UNRESOLVABLE_COMMAND,
MALFORMED_COMMAND
start

Start Date in ISO String format

Example:

"2024-05-27T19:20:52.812Z"

end

End Date in ISO String format

Example:

"2024-05-27T19:20:52.812Z"

nextToken
string

The token to be passed for retrieving the next set of paginated results

Response

200 - application/json

200 OK

data
object[]
required
nextToken
string

The token to be passed for retrieving the next set of paginated results